# $Revision: 1.32 $, $Date: 2002/04/13 17:42:04 $
%include	/usr/lib/rpm/macros.python

%define		module Imaging

Summary:	Python's own image processing library
Summary(pl):	Biblioteka do przetwarzania obrazu w Pythonie
Name:		python-%{module}
Version:	1.1.3
Release:	2
License:	distributable
Group:		Libraries/Python
Source0:	http://www.pythonware.com/downloads/%{module}-%{version}.tar.gz
Patch0:		Imaging-libver.patch
BuildRequires:	libjpeg-devel >= 6a
BuildRequires:	libpng >= 1.0.8
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	rpm-pythonprov
BuildRequires:	sed
BuildRequires:	tk-devel
BuildRequires:	zlib-devel
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Python Imaging Library (PIL) adds image processing capabilities to
your Python interpreter. This library provides extensive file format
support, an efficient internal representation, and powerful image
processing capabilities.

%description -l pl
Python Imaging Library (PIL) dodaje moliwo przetwarzania obrazu do
interpretera Pythona. Biblioteka daje wsparcie dla wielu formatw
plikw, wydajn reprezentacj wewntrzn i due moliwoci obrbki

%package devel
Summary:	Python's own image processing library header files
Summary(pl):	Pliki nagwkowe do biblioteki obrbki obrazu w Pythonie
Group:		Development/Languages/Python
%pyrequires_eq	python
Requires:	%{name} = %{version}

%description devel
Python's own image processing library header files.

%description devel -l pl
Pliki nagwkowe do biblioteki obrbki obrazu w Pythonie.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
cd libImaging
%configure2_13
%{__make} "OPT=%{rpmcflags}"
cd ..
%{__make} -f Makefile.pre.in boot
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}/%{module} \
	$RPM_BUILD_ROOT/%{py_incdir}

echo %{module} > $RPM_BUILD_ROOT%{py_sitedir}/%{module}.pth
install *.so $RPM_BUILD_ROOT%{py_sitedir}/%{module}
install PIL/* $RPM_BUILD_ROOT%{py_sitedir}/%{module}
install libImaging/Im{Config,Platform,aging}.h $RPM_BUILD_ROOT/%{py_incdir}

ln -sf %{module} $RPM_BUILD_ROOT%{py_sitedir}/PIL
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}

gzip -9nf  README CHANGES*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%dir %{py_sitedir}/%{module}
%{py_sitedir}/PIL
%{py_sitedir}/%{module}.pth

%attr(755,root,root) %{py_sitedir}/%{module}/*.so
%{py_sitedir}/%{module}/*.py?

%files devel
%defattr(644,root,root,755)
%{py_incdir}/*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: python-Imaging.spec,v $
Revision 1.32  2002/04/13 17:42:04  kloczek
- rebuild against python 2.2.1.

Revision 1.31  2002/04/11 13:59:59  wrobell
- rel. 2, stb

Revision 1.30  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.29  2002/03/19 11:26:24  wrobell
- fixed build requirements
- ver. 1.1.3
- stb

Revision 1.28  2002/03/18 07:02:58  wrobell
- main package group changed to Libraries/Python
- rel. 5
- stb

Revision 1.27  2002/02/23 04:25:50  kloczek
- adapterized.

Revision 1.26  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/02/06 08:49:40  kloczek
- adapterized.

Revision 1.24  2002/02/03 23:37:40  kloczek
- release 4: rebuild against python 2.2.

Revision 1.23  2002/01/18 02:14:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/11/12 15:52:55  kloczek
- release 3.

Revision 1.21  2001/11/12 15:15:11  wrobell
- use standard python macros

Revision 1.20  2001/11/12 09:43:01  qboosh
- pl translations, BuildRequires: rpm-pythonprov

Revision 1.19  2001/11/12 00:12:27  wrobell
- use standard python macros

Revision 1.18  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.17  2001/09/11 00:23:16  kloczek
- removed empty pl trnslations,
- cosmetics and cleanups.

Revision 1.16  2001/08/23 17:09:17  wrobell
- rebuilded with python 2.1.1
- rel. 2, stb.

Revision 1.15  2001/06/07 11:48:17  wrobell
- updated for 1.1.2
- more python macros usage
- builds with Python 2.1

Revision 1.14  2001/05/02 21:51:28  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.13  2001/04/30 23:02:01  wrobell
- up to 1.1.1

Revision 1.12  2000/08/08 14:30:16  wrobell
- more flexible %{python_sitepkgsdir} macro instead of %{pver} macro
  from python-xml.spec
- introduced %{python_dir} macro

Revision 1.11  2000/08/08 13:24:48  wrobell
- s/pp_subname/module/g
- introduced %{pver} macro; it is main python version, i.e. 1.5, 1.6 or 2.0

Revision 1.10  2000/07/28 13:58:29  zagrodzki
- release 2, built against libpng >= 1.0.8

Revision 1.9  2000/06/09 07:55:08  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:52  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/04/09 20:55:56  wrobell
- added PIL link to Imaging directory

Revision 1.6  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.4  1999/12/04 18:37:51  cieciwa
- fixes install errors,
- added %attr macro in %file section.

Revision 1.3  1999/12/04 18:14:50  cieciwa
-added file location.

Revision 1.2  1999/12/04 17:48:53  cieciwa
empty log message

Revision 1.1  1999/08/08 09:08:58  wrobell
- package name changed
- upgrade to version 1.0

Revision 1.7  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jan 11 1999 Oliver Andrich <oli@andrich.net>
- upgraded to Imaging 1.0b1

* Sun Dec 27 1998 Oliver Andrich <oli@andrich.net>
- changed Setup file so that the tkinter module is compiled with Tix and BLT
	support

* Mon Jul 20 1998 Oliver Andrich <oli@andrich.net>
- had to recompile and update the package to support the uptodate graphics
	libs

* Sat Jun 07 1998 Oliver Andrich <oli@andrich.net>
- updated package to version 0.3a4
